xref: /netbsd/tools/make/configure (revision 6550d01e)
1#! /bin/sh
2# Guess values for system-dependent variables and create Makefiles.
3# Generated by Autoconf 2.52 for make noversion.
4#
5# Report bugs to <bin-bug-people@NetBSD.org>.
6#
7# Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
8# Free Software Foundation, Inc.
9# This configure script is free software; the Free Software Foundation
10# gives unlimited permission to copy, distribute and modify it.
11
12# Avoid depending upon Character Ranges.
13as_cr_letters='abcdefghijklmnopqrstuvwxyz'
14as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
15as_cr_Letters=$as_cr_letters$as_cr_LETTERS
16as_cr_digits='0123456789'
17as_cr_alnum=$as_cr_Letters$as_cr_digits
18
19# Sed expression to map a string onto a valid variable name.
20as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
21
22# Sed expression to map a string onto a valid CPP name.
23as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
24
25# Be Bourne compatible
26if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
27  emulate sh
28  NULLCMD=:
29elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
30  set -o posix
31fi
32
33# Name of the executable.
34as_me=`echo "$0" |sed 's,.*[\\/],,'`
35
36if expr a : '\(a\)' >/dev/null 2>&1; then
37  as_expr=expr
38else
39  as_expr=false
40fi
41
42rm -f conf$$ conf$$.exe conf$$.file
43echo >conf$$.file
44if ln -s conf$$.file conf$$ 2>/dev/null; then
45  # We could just check for DJGPP; but this test a) works b) is more generic
46  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
47  if test -f conf$$.exe; then
48    # Don't use ln at all; we don't have any links
49    as_ln_s='cp -p'
50  else
51    as_ln_s='ln -s'
52  fi
53elif ln conf$$.file conf$$ 2>/dev/null; then
54  as_ln_s=ln
55else
56  as_ln_s='cp -p'
57fi
58rm -f conf$$ conf$$.exe conf$$.file
59
60as_executable_p="test -f"
61
62# Support unset when possible.
63if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
64  as_unset=unset
65else
66  as_unset=false
67fi
68
69# NLS nuisances.
70$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
71$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
72$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
73$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
74$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
75$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
76$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
77$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
78
79# IFS
80# We need space, tab and new line, in precisely that order.
81as_nl='
82'
83IFS=" 	$as_nl"
84
85# CDPATH.
86$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
87
88# Name of the host.
89# hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
90# so uname gets run too.
91ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
92
93exec 6>&1
94
95#
96# Initializations.
97#
98ac_default_prefix=/usr/local
99cross_compiling=no
100subdirs=
101MFLAGS= MAKEFLAGS=
102SHELL=${CONFIG_SHELL-/bin/sh}
103
104# Maximum number of lines to put in a shell here document.
105# This variable seems obsolete.  It should probably be removed, and
106# only ac_max_sed_lines should be used.
107: ${ac_max_here_lines=38}
108
109# Initialize some variables set by options.
110ac_init_help=
111ac_init_version=false
112# The variables have the same names as the options, with
113# dashes changed to underlines.
114cache_file=/dev/null
115exec_prefix=NONE
116no_create=
117no_recursion=
118prefix=NONE
119program_prefix=NONE
120program_suffix=NONE
121program_transform_name=s,x,x,
122silent=
123site=
124srcdir=
125verbose=
126x_includes=NONE
127x_libraries=NONE
128
129# Installation directory options.
130# These are left unexpanded so users can "make install exec_prefix=/foo"
131# and all the variables that are supposed to be based on exec_prefix
132# by default will actually change.
133# Use braces instead of parens because sh, perl, etc. also accept them.
134bindir='${exec_prefix}/bin'
135sbindir='${exec_prefix}/sbin'
136libexecdir='${exec_prefix}/libexec'
137datadir='${prefix}/share'
138sysconfdir='${prefix}/etc'
139sharedstatedir='${prefix}/com'
140localstatedir='${prefix}/var'
141libdir='${exec_prefix}/lib'
142includedir='${prefix}/include'
143oldincludedir='/usr/include'
144infodir='${prefix}/info'
145mandir='${prefix}/man'
146
147# Identity of this package.
148PACKAGE_NAME='make'
149PACKAGE_TARNAME='make'
150PACKAGE_VERSION='noversion'
151PACKAGE_STRING='make noversion'
152PACKAGE_BUGREPORT='bin-bug-people@NetBSD.org'
153
154ac_prev=
155for ac_option
156do
157  # If the previous option needs an argument, assign it.
158  if test -n "$ac_prev"; then
159    eval "$ac_prev=\$ac_option"
160    ac_prev=
161    continue
162  fi
163
164  ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
165
166  # Accept the important Cygnus configure options, so we can diagnose typos.
167
168  case $ac_option in
169
170  -bindir | --bindir | --bindi | --bind | --bin | --bi)
171    ac_prev=bindir ;;
172  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
173    bindir=$ac_optarg ;;
174
175  -build | --build | --buil | --bui | --bu)
176    ac_prev=build_alias ;;
177  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
178    build_alias=$ac_optarg ;;
179
180  -cache-file | --cache-file | --cache-fil | --cache-fi \
181  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
182    ac_prev=cache_file ;;
183  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
184  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
185    cache_file=$ac_optarg ;;
186
187  --config-cache | -C)
188    cache_file=config.cache ;;
189
190  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
191    ac_prev=datadir ;;
192  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
193  | --da=*)
194    datadir=$ac_optarg ;;
195
196  -disable-* | --disable-*)
197    ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
198    # Reject names that are not valid shell variable names.
199    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
200      { echo "$as_me: error: invalid feature name: $ac_feature" >&2
201   { (exit 1); exit 1; }; }
202    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
203    eval "enable_$ac_feature=no" ;;
204
205  -enable-* | --enable-*)
206    ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
207    # Reject names that are not valid shell variable names.
208    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
209      { echo "$as_me: error: invalid feature name: $ac_feature" >&2
210   { (exit 1); exit 1; }; }
211    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
212    case $ac_option in
213      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
214      *) ac_optarg=yes ;;
215    esac
216    eval "enable_$ac_feature='$ac_optarg'" ;;
217
218  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
219  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
220  | --exec | --exe | --ex)
221    ac_prev=exec_prefix ;;
222  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
223  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
224  | --exec=* | --exe=* | --ex=*)
225    exec_prefix=$ac_optarg ;;
226
227  -gas | --gas | --ga | --g)
228    # Obsolete; use --with-gas.
229    with_gas=yes ;;
230
231  -help | --help | --hel | --he | -h)
232    ac_init_help=long ;;
233  -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
234    ac_init_help=recursive ;;
235  -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
236    ac_init_help=short ;;
237
238  -host | --host | --hos | --ho)
239    ac_prev=host_alias ;;
240  -host=* | --host=* | --hos=* | --ho=*)
241    host_alias=$ac_optarg ;;
242
243  -includedir | --includedir | --includedi | --included | --include \
244  | --includ | --inclu | --incl | --inc)
245    ac_prev=includedir ;;
246  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
247  | --includ=* | --inclu=* | --incl=* | --inc=*)
248    includedir=$ac_optarg ;;
249
250  -infodir | --infodir | --infodi | --infod | --info | --inf)
251    ac_prev=infodir ;;
252  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
253    infodir=$ac_optarg ;;
254
255  -libdir | --libdir | --libdi | --libd)
256    ac_prev=libdir ;;
257  -libdir=* | --libdir=* | --libdi=* | --libd=*)
258    libdir=$ac_optarg ;;
259
260  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
261  | --libexe | --libex | --libe)
262    ac_prev=libexecdir ;;
263  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
264  | --libexe=* | --libex=* | --libe=*)
265    libexecdir=$ac_optarg ;;
266
267  -localstatedir | --localstatedir | --localstatedi | --localstated \
268  | --localstate | --localstat | --localsta | --localst \
269  | --locals | --local | --loca | --loc | --lo)
270    ac_prev=localstatedir ;;
271  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
272  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
273  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
274    localstatedir=$ac_optarg ;;
275
276  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
277    ac_prev=mandir ;;
278  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
279    mandir=$ac_optarg ;;
280
281  -nfp | --nfp | --nf)
282    # Obsolete; use --without-fp.
283    with_fp=no ;;
284
285  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
286  | --no-cr | --no-c)
287    no_create=yes ;;
288
289  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
290  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
291    no_recursion=yes ;;
292
293  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
294  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
295  | --oldin | --oldi | --old | --ol | --o)
296    ac_prev=oldincludedir ;;
297  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
298  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
299  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
300    oldincludedir=$ac_optarg ;;
301
302  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
303    ac_prev=prefix ;;
304  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
305    prefix=$ac_optarg ;;
306
307  -program-prefix | --program-prefix | --program-prefi | --program-pref \
308  | --program-pre | --program-pr | --program-p)
309    ac_prev=program_prefix ;;
310  -program-prefix=* | --program-prefix=* | --program-prefi=* \
311  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
312    program_prefix=$ac_optarg ;;
313
314  -program-suffix | --program-suffix | --program-suffi | --program-suff \
315  | --program-suf | --program-su | --program-s)
316    ac_prev=program_suffix ;;
317  -program-suffix=* | --program-suffix=* | --program-suffi=* \
318  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
319    program_suffix=$ac_optarg ;;
320
321  -program-transform-name | --program-transform-name \
322  | --program-transform-nam | --program-transform-na \
323  | --program-transform-n | --program-transform- \
324  | --program-transform | --program-transfor \
325  | --program-transfo | --program-transf \
326  | --program-trans | --program-tran \
327  | --progr-tra | --program-tr | --program-t)
328    ac_prev=program_transform_name ;;
329  -program-transform-name=* | --program-transform-name=* \
330  | --program-transform-nam=* | --program-transform-na=* \
331  | --program-transform-n=* | --program-transform-=* \
332  | --program-transform=* | --program-transfor=* \
333  | --program-transfo=* | --program-transf=* \
334  | --program-trans=* | --program-tran=* \
335  | --progr-tra=* | --program-tr=* | --program-t=*)
336    program_transform_name=$ac_optarg ;;
337
338  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
339  | -silent | --silent | --silen | --sile | --sil)
340    silent=yes ;;
341
342  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
343    ac_prev=sbindir ;;
344  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
345  | --sbi=* | --sb=*)
346    sbindir=$ac_optarg ;;
347
348  -sharedstatedir | --sharedstatedir | --sharedstatedi \
349  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
350  | --sharedst | --shareds | --shared | --share | --shar \
351  | --sha | --sh)
352    ac_prev=sharedstatedir ;;
353  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
354  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
355  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
356  | --sha=* | --sh=*)
357    sharedstatedir=$ac_optarg ;;
358
359  -site | --site | --sit)
360    ac_prev=site ;;
361  -site=* | --site=* | --sit=*)
362    site=$ac_optarg ;;
363
364  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
365    ac_prev=srcdir ;;
366  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
367    srcdir=$ac_optarg ;;
368
369  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
370  | --syscon | --sysco | --sysc | --sys | --sy)
371    ac_prev=sysconfdir ;;
372  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
373  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
374    sysconfdir=$ac_optarg ;;
375
376  -target | --target | --targe | --targ | --tar | --ta | --t)
377    ac_prev=target_alias ;;
378  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
379    target_alias=$ac_optarg ;;
380
381  -v | -verbose | --verbose | --verbos | --verbo | --verb)
382    verbose=yes ;;
383
384  -version | --version | --versio | --versi | --vers | -V)
385    ac_init_version=: ;;
386
387  -with-* | --with-*)
388    ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
389    # Reject names that are not valid shell variable names.
390    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
391      { echo "$as_me: error: invalid package name: $ac_package" >&2
392   { (exit 1); exit 1; }; }
393    ac_package=`echo $ac_package| sed 's/-/_/g'`
394    case $ac_option in
395      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
396      *) ac_optarg=yes ;;
397    esac
398    eval "with_$ac_package='$ac_optarg'" ;;
399
400  -without-* | --without-*)
401    ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
402    # Reject names that are not valid shell variable names.
403    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
404      { echo "$as_me: error: invalid package name: $ac_package" >&2
405   { (exit 1); exit 1; }; }
406    ac_package=`echo $ac_package | sed 's/-/_/g'`
407    eval "with_$ac_package=no" ;;
408
409  --x)
410    # Obsolete; use --with-x.
411    with_x=yes ;;
412
413  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
414  | --x-incl | --x-inc | --x-in | --x-i)
415    ac_prev=x_includes ;;
416  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
417  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
418    x_includes=$ac_optarg ;;
419
420  -x-libraries | --x-libraries | --x-librarie | --x-librari \
421  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
422    ac_prev=x_libraries ;;
423  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
424  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
425    x_libraries=$ac_optarg ;;
426
427  -*) { echo "$as_me: error: unrecognized option: $ac_option
428Try \`$0 --help' for more information." >&2
429   { (exit 1); exit 1; }; }
430    ;;
431
432  *=*)
433    ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
434    # Reject names that are not valid shell variable names.
435    expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
436      { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
437   { (exit 1); exit 1; }; }
438    ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
439    eval "$ac_envvar='$ac_optarg'"
440    export $ac_envvar ;;
441
442  *)
443    # FIXME: should be removed in autoconf 3.0.
444    echo "$as_me: WARNING: you should use --build, --host, --target" >&2
445    expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
446      echo "$as_me: WARNING: invalid host type: $ac_option" >&2
447    : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
448    ;;
449
450  esac
451done
452
453if test -n "$ac_prev"; then
454  ac_option=--`echo $ac_prev | sed 's/_/-/g'`
455  { echo "$as_me: error: missing argument to $ac_option" >&2
456   { (exit 1); exit 1; }; }
457fi
458
459# Be sure to have absolute paths.
460for ac_var in exec_prefix prefix
461do
462  eval ac_val=$`echo $ac_var`
463  case $ac_val in
464    [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
465    *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
466   { (exit 1); exit 1; }; };;
467  esac
468done
469
470# Be sure to have absolute paths.
471for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
472              localstatedir libdir includedir oldincludedir infodir mandir
473do
474  eval ac_val=$`echo $ac_var`
475  case $ac_val in
476    [\\/$]* | ?:[\\/]* ) ;;
477    *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
478   { (exit 1); exit 1; }; };;
479  esac
480done
481
482# There might be people who depend on the old broken behavior: `$host'
483# used to hold the argument of --host etc.
484build=$build_alias
485host=$host_alias
486target=$target_alias
487
488# FIXME: should be removed in autoconf 3.0.
489if test "x$host_alias" != x; then
490  if test "x$build_alias" = x; then
491    cross_compiling=maybe
492    echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
493    If a cross compiler is detected then cross compile mode will be used." >&2
494  elif test "x$build_alias" != "x$host_alias"; then
495    cross_compiling=yes
496  fi
497fi
498
499ac_tool_prefix=
500test -n "$host_alias" && ac_tool_prefix=$host_alias-
501
502test "$silent" = yes && exec 6>/dev/null
503
504# Find the source files, if location was not specified.
505if test -z "$srcdir"; then
506  ac_srcdir_defaulted=yes
507  # Try the directory containing this script, then its parent.
508  ac_prog=$0
509  ac_confdir=`echo "$ac_prog" | sed 's%[\\/][^\\/][^\\/]*$%%'`
510  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
511  srcdir=$ac_confdir
512  if test ! -r $srcdir/$ac_unique_file; then
513    srcdir=..
514  fi
515else
516  ac_srcdir_defaulted=no
517fi
518if test ! -r $srcdir/$ac_unique_file; then
519  if test "$ac_srcdir_defaulted" = yes; then
520    { echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2
521   { (exit 1); exit 1; }; }
522  else
523    { echo "$as_me: error: cannot find sources in $srcdir" >&2
524   { (exit 1); exit 1; }; }
525  fi
526fi
527srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
528ac_env_build_alias_set=${build_alias+set}
529ac_env_build_alias_value=$build_alias
530ac_cv_env_build_alias_set=${build_alias+set}
531ac_cv_env_build_alias_value=$build_alias
532ac_env_host_alias_set=${host_alias+set}
533ac_env_host_alias_value=$host_alias
534ac_cv_env_host_alias_set=${host_alias+set}
535ac_cv_env_host_alias_value=$host_alias
536ac_env_target_alias_set=${target_alias+set}
537ac_env_target_alias_value=$target_alias
538ac_cv_env_target_alias_set=${target_alias+set}
539ac_cv_env_target_alias_value=$target_alias
540ac_env_CC_set=${CC+set}
541ac_env_CC_value=$CC
542ac_cv_env_CC_set=${CC+set}
543ac_cv_env_CC_value=$CC
544ac_env_CFLAGS_set=${CFLAGS+set}
545ac_env_CFLAGS_value=$CFLAGS
546ac_cv_env_CFLAGS_set=${CFLAGS+set}
547ac_cv_env_CFLAGS_value=$CFLAGS
548ac_env_LDFLAGS_set=${LDFLAGS+set}
549ac_env_LDFLAGS_value=$LDFLAGS
550ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
551ac_cv_env_LDFLAGS_value=$LDFLAGS
552ac_env_CPPFLAGS_set=${CPPFLAGS+set}
553ac_env_CPPFLAGS_value=$CPPFLAGS
554ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
555ac_cv_env_CPPFLAGS_value=$CPPFLAGS
556ac_env_CPP_set=${CPP+set}
557ac_env_CPP_value=$CPP
558ac_cv_env_CPP_set=${CPP+set}
559ac_cv_env_CPP_value=$CPP
560
561#
562# Report the --help message.
563#
564if test "$ac_init_help" = "long"; then
565  # Omit some internal or obsolete options to make the list less imposing.
566  # This message is too long to be a string in the A/UX 3.1 sh.
567  cat <<EOF
568\`configure' configures make noversion to adapt to many kinds of systems.
569
570Usage: $0 [OPTION]... [VAR=VALUE]...
571
572To assign environment variables (e.g., CC, CFLAGS...), specify them as
573VAR=VALUE.  See below for descriptions of some of the useful variables.
574
575Defaults for the options are specified in brackets.
576
577Configuration:
578  -h, --help              display this help and exit
579      --help=short        display options specific to this package
580      --help=recursive    display the short help of all the included packages
581  -V, --version           display version information and exit
582  -q, --quiet, --silent   do not print \`checking...' messages
583      --cache-file=FILE   cache test results in FILE [disabled]
584  -C, --config-cache      alias for \`--cache-file=config.cache'
585  -n, --no-create         do not create output files
586      --srcdir=DIR        find the sources in DIR [configure dir or \`..']
587
588EOF
589
590  cat <<EOF
591Installation directories:
592  --prefix=PREFIX         install architecture-independent files in PREFIX
593                          [$ac_default_prefix]
594  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
595                          [PREFIX]
596
597By default, \`make install' will install all the files in
598\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
599an installation prefix other than \`$ac_default_prefix' using \`--prefix',
600for instance \`--prefix=\$HOME'.
601
602For better control, use the options below.
603
604Fine tuning of the installation directories:
605  --bindir=DIR           user executables [EPREFIX/bin]
606  --sbindir=DIR          system admin executables [EPREFIX/sbin]
607  --libexecdir=DIR       program executables [EPREFIX/libexec]
608  --datadir=DIR          read-only architecture-independent data [PREFIX/share]
609  --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
610  --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
611  --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
612  --libdir=DIR           object code libraries [EPREFIX/lib]
613  --includedir=DIR       C header files [PREFIX/include]
614  --oldincludedir=DIR    C header files for non-gcc [/usr/include]
615  --infodir=DIR          info documentation [PREFIX/info]
616  --mandir=DIR           man documentation [PREFIX/man]
617EOF
618
619  cat <<\EOF
620EOF
621fi
622
623if test -n "$ac_init_help"; then
624  case $ac_init_help in
625     short | recursive ) echo "Configuration of make noversion:";;
626   esac
627  cat <<\EOF
628
629Some influential environment variables:
630  CC          C compiler command
631  CFLAGS      C compiler flags
632  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
633              nonstandard directory <lib dir>
634  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
635              headers in a nonstandard directory <include dir>
636  CPP         C preprocessor
637
638Use these variables to override the choices made by `configure' or to help
639it to find libraries and programs with nonstandard names/locations.
640
641Report bugs to <bin-bug-people@NetBSD.org>.
642EOF
643fi
644
645if test "$ac_init_help" = "recursive"; then
646  # If there are subdirs, report their specific --help.
647  ac_popdir=`pwd`
648  for ac_subdir in : $ac_subdirs_all; do test "x$ac_subdir" = x: && continue
649    cd $ac_subdir
650    # A "../" for each directory in /$ac_subdir.
651    ac_dots=`echo $ac_subdir |
652             sed 's,^\./,,;s,[^/]$,&/,;s,[^/]*/,../,g'`
653
654    case $srcdir in
655    .) # No --srcdir option.  We are building in place.
656      ac_sub_srcdir=$srcdir ;;
657    [\\/]* | ?:[\\/]* ) # Absolute path.
658      ac_sub_srcdir=$srcdir/$ac_subdir ;;
659    *) # Relative path.
660      ac_sub_srcdir=$ac_dots$srcdir/$ac_subdir ;;
661    esac
662
663    # Check for guested configure; otherwise get Cygnus style configure.
664    if test -f $ac_sub_srcdir/configure.gnu; then
665      echo
666      $SHELL $ac_sub_srcdir/configure.gnu  --help=recursive
667    elif test -f $ac_sub_srcdir/configure; then
668      echo
669      $SHELL $ac_sub_srcdir/configure  --help=recursive
670    elif test -f $ac_sub_srcdir/configure.ac ||
671           test -f $ac_sub_srcdir/configure.in; then
672      echo
673      $ac_configure --help
674    else
675      echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2
676    fi
677    cd $ac_popdir
678  done
679fi
680
681test -n "$ac_init_help" && exit 0
682if $ac_init_version; then
683  cat <<\EOF
684make configure noversion
685generated by GNU Autoconf 2.52
686
687Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
688Free Software Foundation, Inc.
689This configure script is free software; the Free Software Foundation
690gives unlimited permission to copy, distribute and modify it.
691EOF
692  exit 0
693fi
694exec 5>config.log
695cat >&5 <<EOF
696This file contains any messages produced by compilers while
697running configure, to aid debugging if configure makes a mistake.
698
699It was created by make $as_me noversion, which was
700generated by GNU Autoconf 2.52.  Invocation command line was
701
702  $ $0 $@
703
704EOF
705{
706cat <<_ASUNAME
707## ---------- ##
708## Platform.  ##
709## ---------- ##
710
711hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
712uname -m = `(uname -m) 2>/dev/null || echo unknown`
713uname -r = `(uname -r) 2>/dev/null || echo unknown`
714uname -s = `(uname -s) 2>/dev/null || echo unknown`
715uname -v = `(uname -v) 2>/dev/null || echo unknown`
716
717/usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
718/bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
719
720/bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
721/usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
722/usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
723hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
724/bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
725/usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
726/bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
727
728PATH = $PATH
729
730_ASUNAME
731} >&5
732
733cat >&5 <<EOF
734## ------------ ##
735## Core tests.  ##
736## ------------ ##
737
738EOF
739
740# Keep a trace of the command line.
741# Strip out --no-create and --no-recursion so they do not pile up.
742# Also quote any args containing shell meta-characters.
743ac_configure_args=
744ac_sep=
745for ac_arg
746do
747  case $ac_arg in
748  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
749  | --no-cr | --no-c) ;;
750  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
751  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
752  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
753    ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"`
754    ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
755    ac_sep=" " ;;
756  *) ac_configure_args="$ac_configure_args$ac_sep$ac_arg"
757     ac_sep=" " ;;
758  esac
759  # Get rid of the leading space.
760done
761
762# When interrupted or exit'd, cleanup temporary files, and complete
763# config.log.  We remove comments because anyway the quotes in there
764# would cause problems or look ugly.
765trap 'exit_status=$?
766  # Save into config.log some information that might help in debugging.
767  echo >&5
768  echo "## ----------------- ##" >&5
769  echo "## Cache variables.  ##" >&5
770  echo "## ----------------- ##" >&5
771  echo >&5
772  # The following way of writing the cache mishandles newlines in values,
773{
774  (set) 2>&1 |
775    case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
776    *ac_space=\ *)
777      sed -n \
778        "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
779    	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
780      ;;
781    *)
782      sed -n \
783        "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
784      ;;
785    esac;
786} >&5
787  sed "/^$/d" confdefs.h >conftest.log
788  if test -s conftest.log; then
789    echo >&5
790    echo "## ------------ ##" >&5
791    echo "## confdefs.h.  ##" >&5
792    echo "## ------------ ##" >&5
793    echo >&5
794    cat conftest.log >&5
795  fi
796  (echo; echo) >&5
797  test "$ac_signal" != 0 &&
798    echo "$as_me: caught signal $ac_signal" >&5
799  echo "$as_me: exit $exit_status" >&5
800  rm -rf conftest* confdefs* core core.* *.core conf$$* $ac_clean_files &&
801    exit $exit_status
802     ' 0
803for ac_signal in 1 2 13 15; do
804  trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
805done
806ac_signal=0
807
808# confdefs.h avoids OS command line length limits that DEFS can exceed.
809rm -rf conftest* confdefs.h
810# AIX cpp loses on an empty file, so make sure it contains at least a newline.
811echo >confdefs.h
812
813# Let the site file select an alternate cache file if it wants to.
814# Prefer explicitly selected file to automatically selected ones.
815if test -z "$CONFIG_SITE"; then
816  if test "x$prefix" != xNONE; then
817    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
818  else
819    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
820  fi
821fi
822for ac_site_file in $CONFIG_SITE; do
823  if test -r "$ac_site_file"; then
824    { echo "$as_me:824: loading site script $ac_site_file" >&5
825echo "$as_me: loading site script $ac_site_file" >&6;}
826    cat "$ac_site_file" >&5
827    . "$ac_site_file"
828  fi
829done
830
831if test -r "$cache_file"; then
832  # Some versions of bash will fail to source /dev/null (special
833  # files actually), so we avoid doing that.
834  if test -f "$cache_file"; then
835    { echo "$as_me:835: loading cache $cache_file" >&5
836echo "$as_me: loading cache $cache_file" >&6;}
837    case $cache_file in
838      [\\/]* | ?:[\\/]* ) . $cache_file;;
839      *)                      . ./$cache_file;;
840    esac
841  fi
842else
843  { echo "$as_me:843: creating cache $cache_file" >&5
844echo "$as_me: creating cache $cache_file" >&6;}
845  >$cache_file
846fi
847
848# Check that the precious variables saved in the cache have kept the same
849# value.
850ac_cache_corrupted=false
851for ac_var in `(set) 2>&1 |
852               sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
853  eval ac_old_set=\$ac_cv_env_${ac_var}_set
854  eval ac_new_set=\$ac_env_${ac_var}_set
855  eval ac_old_val="\$ac_cv_env_${ac_var}_value"
856  eval ac_new_val="\$ac_env_${ac_var}_value"
857  case $ac_old_set,$ac_new_set in
858    set,)
859      { echo "$as_me:859: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
860echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
861      ac_cache_corrupted=: ;;
862    ,set)
863      { echo "$as_me:863: error: \`$ac_var' was not set in the previous run" >&5
864echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
865      ac_cache_corrupted=: ;;
866    ,);;
867    *)
868      if test "x$ac_old_val" != "x$ac_new_val"; then
869        { echo "$as_me:869: error: \`$ac_var' has changed since the previous run:" >&5
870echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
871        { echo "$as_me:871:   former value:  $ac_old_val" >&5
872echo "$as_me:   former value:  $ac_old_val" >&2;}
873        { echo "$as_me:873:   current value: $ac_new_val" >&5
874echo "$as_me:   current value: $ac_new_val" >&2;}
875        ac_cache_corrupted=:
876      fi;;
877  esac
878  # Pass precious variables to config.status.  It doesn't matter if
879  # we pass some twice (in addition to the command line arguments).
880  if test "$ac_new_set" = set; then
881    case $ac_new_val in
882    *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
883      ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"`
884      ac_configure_args="$ac_configure_args '$ac_arg'"
885      ;;
886    *) ac_configure_args="$ac_configure_args $ac_var=$ac_new_val"
887       ;;
888    esac
889  fi
890done
891if $ac_cache_corrupted; then
892  { echo "$as_me:892: error: changes in the environment can compromise the build" >&5
893echo "$as_me: error: changes in the environment can compromise the build" >&2;}
894  { { echo "$as_me:894: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
895echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
896   { (exit 1); exit 1; }; }
897fi
898
899ac_ext=c
900ac_cpp='$CPP $CPPFLAGS'
901ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
902ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
903ac_compiler_gnu=$ac_cv_c_compiler_gnu
904
905case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
906  *c*,-n*) ECHO_N= ECHO_C='
907' ECHO_T='	' ;;
908  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
909  *)      ECHO_N= ECHO_C='\c' ECHO_T= ;;
910esac
911echo "#! $SHELL" >conftest.sh
912echo  "exit 0"   >>conftest.sh
913chmod +x conftest.sh
914if { (echo "$as_me:914: PATH=\".;.\"; conftest.sh") >&5
915  (PATH=".;."; conftest.sh) 2>&5
916  ac_status=$?
917  echo "$as_me:917: \$? = $ac_status" >&5
918  (exit $ac_status); }; then
919  ac_path_separator=';'
920else
921  ac_path_separator=:
922fi
923PATH_SEPARATOR="$ac_path_separator"
924rm -f conftest.sh
925
926ac_config_files="$ac_config_files buildmake.sh"
927
928# Extract the first word of "sh", so it can be a program name with args.
929set dummy sh; ac_word=$2
930echo "$as_me:930: checking for $ac_word" >&5
931echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
932if test "${ac_cv_path_BSHELL+set}" = set; then
933  echo $ECHO_N "(cached) $ECHO_C" >&6
934else
935  case $BSHELL in
936  [\\/]* | ?:[\\/]*)
937  ac_cv_path_BSHELL="$BSHELL" # Let the user override the test with a path.
938  ;;
939  *)
940  ac_save_IFS=$IFS; IFS=$ac_path_separator
941ac_dummy="$PATH"
942for ac_dir in $ac_dummy; do
943  IFS=$ac_save_IFS
944  test -z "$ac_dir" && ac_dir=.
945  if $as_executable_p "$ac_dir/$ac_word"; then
946   ac_cv_path_BSHELL="$ac_dir/$ac_word"
947   echo "$as_me:947: found $ac_dir/$ac_word" >&5
948   break
949fi
950done
951
952  ;;
953esac
954fi
955BSHELL=$ac_cv_path_BSHELL
956
957if test -n "$BSHELL"; then
958  echo "$as_me:958: result: $BSHELL" >&5
959echo "${ECHO_T}$BSHELL" >&6
960else
961  echo "$as_me:961: result: no" >&5
962echo "${ECHO_T}no" >&6
963fi
964
965if test x"$BSHELL" = x; then
966    { { echo "$as_me:966: error: sh must be somewhere on \$PATH, or BSHELL must be defined" >&5
967echo "$as_me: error: sh must be somewhere on \$PATH, or BSHELL must be defined" >&2;}
968   { (exit 1); exit 1; }; }
969fi
970cat >>confdefs.h <<EOF
971#define DEFSHELL_CUSTOM "${BSHELL}"
972EOF
973
974# Make sure we have POSIX regex ability.
975ac_ext=c
976ac_cpp='$CPP $CPPFLAGS'
977ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
978ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
979ac_compiler_gnu=$ac_cv_c_compiler_gnu
980if test -n "$ac_tool_prefix"; then
981  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
982set dummy ${ac_tool_prefix}gcc; ac_word=$2
983echo "$as_me:983: checking for $ac_word" >&5
984echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
985if test "${ac_cv_prog_CC+set}" = set; then
986  echo $ECHO_N "(cached) $ECHO_C" >&6
987else
988  if test -n "$CC"; then
989  ac_cv_prog_CC="$CC" # Let the user override the test.
990else
991  ac_save_IFS=$IFS; IFS=$ac_path_separator
992ac_dummy="$PATH"
993for ac_dir in $ac_dummy; do
994  IFS=$ac_save_IFS
995  test -z "$ac_dir" && ac_dir=.
996  $as_executable_p "$ac_dir/$ac_word" || continue
997ac_cv_prog_CC="${ac_tool_prefix}gcc"
998echo "$as_me:998: found $ac_dir/$ac_word" >&5
999break
1000done
1001
1002fi
1003fi
1004CC=$ac_cv_prog_CC
1005if test -n "$CC"; then
1006  echo "$as_me:1006: result: $CC" >&5
1007echo "${ECHO_T}$CC" >&6
1008else
1009  echo "$as_me:1009: result: no" >&5
1010echo "${ECHO_T}no" >&6
1011fi
1012
1013fi
1014if test -z "$ac_cv_prog_CC"; then
1015  ac_ct_CC=$CC
1016  # Extract the first word of "gcc", so it can be a program name with args.
1017set dummy gcc; ac_word=$2
1018echo "$as_me:1018: checking for $ac_word" >&5
1019echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1020if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
1021  echo $ECHO_N "(cached) $ECHO_C" >&6
1022else
1023  if test -n "$ac_ct_CC"; then
1024  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
1025else
1026  ac_save_IFS=$IFS; IFS=$ac_path_separator
1027ac_dummy="$PATH"
1028for ac_dir in $ac_dummy; do
1029  IFS=$ac_save_IFS
1030  test -z "$ac_dir" && ac_dir=.
1031  $as_executable_p "$ac_dir/$ac_word" || continue
1032ac_cv_prog_ac_ct_CC="gcc"
1033echo "$as_me:1033: found $ac_dir/$ac_word" >&5
1034break
1035done
1036
1037fi
1038fi
1039ac_ct_CC=$ac_cv_prog_ac_ct_CC
1040if test -n "$ac_ct_CC"; then
1041  echo "$as_me:1041: result: $ac_ct_CC" >&5
1042echo "${ECHO_T}$ac_ct_CC" >&6
1043else
1044  echo "$as_me:1044: result: no" >&5
1045echo "${ECHO_T}no" >&6
1046fi
1047
1048  CC=$ac_ct_CC
1049else
1050  CC="$ac_cv_prog_CC"
1051fi
1052
1053if test -z "$CC"; then
1054  if test -n "$ac_tool_prefix"; then
1055  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
1056set dummy ${ac_tool_prefix}cc; ac_word=$2
1057echo "$as_me:1057: checking for $ac_word" >&5
1058echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1059if test "${ac_cv_prog_CC+set}" = set; then
1060  echo $ECHO_N "(cached) $ECHO_C" >&6
1061else
1062  if test -n "$CC"; then
1063  ac_cv_prog_CC="$CC" # Let the user override the test.
1064else
1065  ac_save_IFS=$IFS; IFS=$ac_path_separator
1066ac_dummy="$PATH"
1067for ac_dir in $ac_dummy; do
1068  IFS=$ac_save_IFS
1069  test -z "$ac_dir" && ac_dir=.
1070  $as_executable_p "$ac_dir/$ac_word" || continue
1071ac_cv_prog_CC="${ac_tool_prefix}cc"
1072echo "$as_me:1072: found $ac_dir/$ac_word" >&5
1073break
1074done
1075
1076fi
1077fi
1078CC=$ac_cv_prog_CC
1079if test -n "$CC"; then
1080  echo "$as_me:1080: result: $CC" >&5
1081echo "${ECHO_T}$CC" >&6
1082else
1083  echo "$as_me:1083: result: no" >&5
1084echo "${ECHO_T}no" >&6
1085fi
1086
1087fi
1088if test -z "$ac_cv_prog_CC"; then
1089  ac_ct_CC=$CC
1090  # Extract the first word of "cc", so it can be a program name with args.
1091set dummy cc; ac_word=$2
1092echo "$as_me:1092: checking for $ac_word" >&5
1093echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1094if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
1095  echo $ECHO_N "(cached) $ECHO_C" >&6
1096else
1097  if test -n "$ac_ct_CC"; then
1098  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
1099else
1100  ac_save_IFS=$IFS; IFS=$ac_path_separator
1101ac_dummy="$PATH"
1102for ac_dir in $ac_dummy; do
1103  IFS=$ac_save_IFS
1104  test -z "$ac_dir" && ac_dir=.
1105  $as_executable_p "$ac_dir/$ac_word" || continue
1106ac_cv_prog_ac_ct_CC="cc"
1107echo "$as_me:1107: found $ac_dir/$ac_word" >&5
1108break
1109done
1110
1111fi
1112fi
1113ac_ct_CC=$ac_cv_prog_ac_ct_CC
1114if test -n "$ac_ct_CC"; then
1115  echo "$as_me:1115: result: $ac_ct_CC" >&5
1116echo "${ECHO_T}$ac_ct_CC" >&6
1117else
1118  echo "$as_me:1118: result: no" >&5
1119echo "${ECHO_T}no" >&6
1120fi
1121
1122  CC=$ac_ct_CC
1123else
1124  CC="$ac_cv_prog_CC"
1125fi
1126
1127fi
1128if test -z "$CC"; then
1129  # Extract the first word of "cc", so it can be a program name with args.
1130set dummy cc; ac_word=$2
1131echo "$as_me:1131: checking for $ac_word" >&5
1132echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1133if test "${ac_cv_prog_CC+set}" = set; then
1134  echo $ECHO_N "(cached) $ECHO_C" >&6
1135else
1136  if test -n "$CC"; then
1137  ac_cv_prog_CC="$CC" # Let the user override the test.
1138else
1139  ac_prog_rejected=no
1140  ac_save_IFS=$IFS; IFS=$ac_path_separator
1141ac_dummy="$PATH"
1142for ac_dir in $ac_dummy; do
1143  IFS=$ac_save_IFS
1144  test -z "$ac_dir" && ac_dir=.
1145  $as_executable_p "$ac_dir/$ac_word" || continue
1146if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
1147  ac_prog_rejected=yes
1148  continue
1149fi
1150ac_cv_prog_CC="cc"
1151echo "$as_me:1151: found $ac_dir/$ac_word" >&5
1152break
1153done
1154
1155if test $ac_prog_rejected = yes; then
1156  # We found a bogon in the path, so make sure we never use it.
1157  set dummy $ac_cv_prog_CC
1158  shift
1159  if test $# != 0; then
1160    # We chose a different compiler from the bogus one.
1161    # However, it has the same basename, so the bogon will be chosen
1162    # first if we set CC to just the basename; use the full file name.
1163    shift
1164    set dummy "$ac_dir/$ac_word" ${1+"$@"}
1165    shift
1166    ac_cv_prog_CC="$@"
1167  fi
1168fi
1169fi
1170fi
1171CC=$ac_cv_prog_CC
1172if test -n "$CC"; then
1173  echo "$as_me:1173: result: $CC" >&5
1174echo "${ECHO_T}$CC" >&6
1175else
1176  echo "$as_me:1176: result: no" >&5
1177echo "${ECHO_T}no" >&6
1178fi
1179
1180fi
1181if test -z "$CC"; then
1182  if test -n "$ac_tool_prefix"; then
1183  for ac_prog in cl
1184  do
1185    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1186set dummy $ac_tool_prefix$ac_prog; ac_word=$2
1187echo "$as_me:1187: checking for $ac_word" >&5
1188echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1189if test "${ac_cv_prog_CC+set}" = set; then
1190  echo $ECHO_N "(cached) $ECHO_C" >&6
1191else
1192  if test -n "$CC"; then
1193  ac_cv_prog_CC="$CC" # Let the user override the test.
1194else
1195  ac_save_IFS=$IFS; IFS=$ac_path_separator
1196ac_dummy="$PATH"
1197for ac_dir in $ac_dummy; do
1198  IFS=$ac_save_IFS
1199  test -z "$ac_dir" && ac_dir=.
1200  $as_executable_p "$ac_dir/$ac_word" || continue
1201ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
1202echo "$as_me:1202: found $ac_dir/$ac_word" >&5
1203break
1204done
1205
1206fi
1207fi
1208CC=$ac_cv_prog_CC
1209if test -n "$CC"; then
1210  echo "$as_me:1210: result: $CC" >&5
1211echo "${ECHO_T}$CC" >&6
1212else
1213  echo "$as_me:1213: result: no" >&5
1214echo "${ECHO_T}no" >&6
1215fi
1216
1217    test -n "$CC" && break
1218  done
1219fi
1220if test -z "$CC"; then
1221  ac_ct_CC=$CC
1222  for ac_prog in cl
1223do
1224  # Extract the first word of "$ac_prog", so it can be a program name with args.
1225set dummy $ac_prog; ac_word=$2
1226echo "$as_me:1226: checking for $ac_word" >&5
1227echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1228if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
1229  echo $ECHO_N "(cached) $ECHO_C" >&6
1230else
1231  if test -n "$ac_ct_CC"; then
1232  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
1233else
1234  ac_save_IFS=$IFS; IFS=$ac_path_separator
1235ac_dummy="$PATH"
1236for ac_dir in $ac_dummy; do
1237  IFS=$ac_save_IFS
1238  test -z "$ac_dir" && ac_dir=.
1239  $as_executable_p "$ac_dir/$ac_word" || continue
1240ac_cv_prog_ac_ct_CC="$ac_prog"
1241echo "$as_me:1241: found $ac_dir/$ac_word" >&5
1242break
1243done
1244
1245fi
1246fi
1247ac_ct_CC=$ac_cv_prog_ac_ct_CC
1248if test -n "$ac_ct_CC"; then
1249  echo "$as_me:1249: result: $ac_ct_CC" >&5
1250echo "${ECHO_T}$ac_ct_CC" >&6
1251else
1252  echo "$as_me:1252: result: no" >&5
1253echo "${ECHO_T}no" >&6
1254fi
1255
1256  test -n "$ac_ct_CC" && break
1257done
1258
1259  CC=$ac_ct_CC
1260fi
1261
1262fi
1263
1264test -z "$CC" && { { echo "$as_me:1264: error: no acceptable cc found in \$PATH" >&5
1265echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
1266   { (exit 1); exit 1; }; }
1267
1268# Provide some information about the compiler.
1269echo "$as_me:1269:" \
1270     "checking for C compiler version" >&5
1271ac_compiler=`set X $ac_compile; echo $2`
1272{ (eval echo "$as_me:1272: \"$ac_compiler --version </dev/null >&5\"") >&5
1273  (eval $ac_compiler --version </dev/null >&5) 2>&5
1274  ac_status=$?
1275  echo "$as_me:1275: \$? = $ac_status" >&5
1276  (exit $ac_status); }
1277{ (eval echo "$as_me:1277: \"$ac_compiler -v </dev/null >&5\"") >&5
1278  (eval $ac_compiler -v </dev/null >&5) 2>&5
1279  ac_status=$?
1280  echo "$as_me:1280: \$? = $ac_status" >&5
1281  (exit $ac_status); }
1282{ (eval echo "$as_me:1282: \"$ac_compiler -V </dev/null >&5\"") >&5
1283  (eval $ac_compiler -V </dev/null >&5) 2>&5
1284  ac_status=$?
1285  echo "$as_me:1285: \$? = $ac_status" >&5
1286  (exit $ac_status); }
1287
1288cat >conftest.$ac_ext <<_ACEOF
1289#line 1289 "configure"
1290#include "confdefs.h"
1291
1292int
1293main ()
1294{
1295
1296  ;
1297  return 0;
1298}
1299_ACEOF
1300ac_clean_files_save=$ac_clean_files
1301ac_clean_files="$ac_clean_files a.out a.exe"
1302# Try to create an executable without -o first, disregard a.out.
1303# It will help us diagnose broken compilers, and finding out an intuition
1304# of exeext.
1305echo "$as_me:1305: checking for C compiler default output" >&5
1306echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
1307ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
1308if { (eval echo "$as_me:1308: \"$ac_link_default\"") >&5
1309  (eval $ac_link_default) 2>&5
1310  ac_status=$?
1311  echo "$as_me:1311: \$? = $ac_status" >&5
1312  (exit $ac_status); }; then
1313  # Find the output, starting from the most likely.  This scheme is
1314# not robust to junk in `.', hence go to wildcards (a.*) only as a last
1315# resort.
1316for ac_file in `ls a.exe conftest.exe 2>/dev/null;
1317                ls a.out conftest 2>/dev/null;
1318                ls a.* conftest.* 2>/dev/null`; do
1319  case $ac_file in
1320    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
1321    a.out ) # We found the default executable, but exeext='' is most
1322            # certainly right.
1323            break;;
1324    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
1325          # FIXME: I believe we export ac_cv_exeext for Libtool --akim.
1326          export ac_cv_exeext
1327          break;;
1328    * ) break;;
1329  esac
1330done
1331else
1332  echo "$as_me: failed program was:" >&5
1333cat conftest.$ac_ext >&5
1334{ { echo "$as_me:1334: error: C compiler cannot create executables" >&5
1335echo "$as_me: error: C compiler cannot create executables" >&2;}
1336   { (exit 77); exit 77; }; }
1337fi
1338
1339ac_exeext=$ac_cv_exeext
1340echo "$as_me:1340: result: $ac_file" >&5
1341echo "${ECHO_T}$ac_file" >&6
1342
1343# Check the compiler produces executables we can run.  If not, either
1344# the compiler is broken, or we cross compile.
1345echo "$as_me:1345: checking whether the C compiler works" >&5
1346echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
1347# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
1348# If not cross compiling, check that we can run a simple program.
1349if test "$cross_compiling" != yes; then
1350  if { ac_try='./$ac_file'
1351  { (eval echo "$as_me:1351: \"$ac_try\"") >&5
1352  (eval $ac_try) 2>&5
1353  ac_status=$?
1354  echo "$as_me:1354: \$? = $ac_status" >&5
1355  (exit $ac_status); }; }; then
1356    cross_compiling=no
1357  else
1358    if test "$cross_compiling" = maybe; then
1359	cross_compiling=yes
1360    else
1361	{ { echo "$as_me:1361: error: cannot run C compiled programs.
1362If you meant to cross compile, use \`--host'." >&5
1363echo "$as_me: error: cannot run C compiled programs.
1364If you meant to cross compile, use \`--host'." >&2;}
1365   { (exit 1); exit 1; }; }
1366    fi
1367  fi
1368fi
1369echo "$as_me:1369: result: yes" >&5
1370echo "${ECHO_T}yes" >&6
1371
1372rm -f a.out a.exe conftest$ac_cv_exeext
1373ac_clean_files=$ac_clean_files_save
1374# Check the compiler produces executables we can run.  If not, either
1375# the compiler is broken, or we cross compile.
1376echo "$as_me:1376: checking whether we are cross compiling" >&5
1377echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
1378echo "$as_me:1378: result: $cross_compiling" >&5
1379echo "${ECHO_T}$cross_compiling" >&6
1380
1381echo "$as_me:1381: checking for executable suffix" >&5
1382echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
1383if { (eval echo "$as_me:1383: \"$ac_link\"") >&5
1384  (eval $ac_link) 2>&5
1385  ac_status=$?
1386  echo "$as_me:1386: \$? = $ac_status" >&5
1387  (exit $ac_status); }; then
1388  # If both `conftest.exe' and `conftest' are `present' (well, observable)
1389# catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
1390# work properly (i.e., refer to `conftest.exe'), while it won't with
1391# `rm'.
1392for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
1393  case $ac_file in
1394    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
1395    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
1396          export ac_cv_exeext
1397          break;;
1398    * ) break;;
1399  esac
1400done
1401else
1402  { { echo "$as_me:1402: error: cannot compute EXEEXT: cannot compile and link" >&5
1403echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
1404   { (exit 1); exit 1; }; }
1405fi
1406
1407rm -f conftest$ac_cv_exeext
1408echo "$as_me:1408: result: $ac_cv_exeext" >&5
1409echo "${ECHO_T}$ac_cv_exeext" >&6
1410
1411rm -f conftest.$ac_ext
1412EXEEXT=$ac_cv_exeext
1413ac_exeext=$EXEEXT
1414echo "$as_me:1414: checking for object suffix" >&5
1415echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
1416if test "${ac_cv_objext+set}" = set; then
1417  echo $ECHO_N "(cached) $ECHO_C" >&6
1418else
1419  cat >conftest.$ac_ext <<_ACEOF
1420#line 1420 "configure"
1421#include "confdefs.h"
1422
1423int
1424main ()
1425{
1426
1427  ;
1428  return 0;
1429}
1430_ACEOF
1431rm -f conftest.o conftest.obj
1432if { (eval echo "$as_me:1432: \"$ac_compile\"") >&5
1433  (eval $ac_compile) 2>&5
1434  ac_status=$?
1435  echo "$as_me:1435: \$? = $ac_status" >&5
1436  (exit $ac_status); }; then
1437  for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
1438  case $ac_file in
1439    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb ) ;;
1440    *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
1441       break;;
1442  esac
1443done
1444else
1445  echo "$as_me: failed program was:" >&5
1446cat conftest.$ac_ext >&5
1447{ { echo "$as_me:1447: error: cannot compute OBJEXT: cannot compile" >&5
1448echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
1449   { (exit 1); exit 1; }; }
1450fi
1451
1452rm -f conftest.$ac_cv_objext conftest.$ac_ext
1453fi
1454echo "$as_me:1454: result: $ac_cv_objext" >&5
1455echo "${ECHO_T}$ac_cv_objext" >&6
1456OBJEXT=$ac_cv_objext
1457ac_objext=$OBJEXT
1458echo "$as_me:1458: checking whether we are using the GNU C compiler" >&5
1459echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
1460if test "${ac_cv_c_compiler_gnu+set}" = set; then
1461  echo $ECHO_N "(cached) $ECHO_C" >&6
1462else
1463  cat >conftest.$ac_ext <<_ACEOF
1464#line 1464 "configure"
1465#include "confdefs.h"
1466
1467int
1468main ()
1469{
1470#ifndef __GNUC__
1471       choke me
1472#endif
1473
1474  ;
1475  return 0;
1476}
1477_ACEOF
1478rm -f conftest.$ac_objext
1479if { (eval echo "$as_me:1479: \"$ac_compile\"") >&5
1480  (eval $ac_compile) 2>&5
1481  ac_status=$?
1482  echo "$as_me:1482: \$? = $ac_status" >&5
1483  (exit $ac_status); } &&
1484         { ac_try='test -s conftest.$ac_objext'
1485  { (eval echo "$as_me:1485: \"$ac_try\"") >&5
1486  (eval $ac_try) 2>&5
1487  ac_status=$?
1488  echo "$as_me:1488: \$? = $ac_status" >&5
1489  (exit $ac_status); }; }; then
1490  ac_compiler_gnu=yes
1491else
1492  echo "$as_me: failed program was:" >&5
1493cat conftest.$ac_ext >&5
1494ac_compiler_gnu=no
1495fi
1496rm -f conftest.$ac_objext conftest.$ac_ext
1497ac_cv_c_compiler_gnu=$ac_compiler_gnu
1498
1499fi
1500echo "$as_me:1500: result: $ac_cv_c_compiler_gnu" >&5
1501echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
1502GCC=`test $ac_compiler_gnu = yes && echo yes`
1503ac_test_CFLAGS=${CFLAGS+set}
1504ac_save_CFLAGS=$CFLAGS
1505CFLAGS="-g"
1506echo "$as_me:1506: checking whether $CC accepts -g" >&5
1507echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
1508if test "${ac_cv_prog_cc_g+set}" = set; then
1509  echo $ECHO_N "(cached) $ECHO_C" >&6
1510else
1511  cat >conftest.$ac_ext <<_ACEOF
1512#line 1512 "configure"
1513#include "confdefs.h"
1514
1515int
1516main ()
1517{
1518
1519  ;
1520  return 0;
1521}
1522_ACEOF
1523rm -f conftest.$ac_objext
1524if { (eval echo "$as_me:1524: \"$ac_compile\"") >&5
1525  (eval $ac_compile) 2>&5
1526  ac_status=$?
1527  echo "$as_me:1527: \$? = $ac_status" >&5
1528  (exit $ac_status); } &&
1529         { ac_try='test -s conftest.$ac_objext'
1530  { (eval echo "$as_me:1530: \"$ac_try\"") >&5
1531  (eval $ac_try) 2>&5
1532  ac_status=$?
1533  echo "$as_me:1533: \$? = $ac_status" >&5
1534  (exit $ac_status); }; }; then
1535  ac_cv_prog_cc_g=yes
1536else
1537  echo "$as_me: failed program was:" >&5
1538cat conftest.$ac_ext >&5
1539ac_cv_prog_cc_g=no
1540fi
1541rm -f conftest.$ac_objext conftest.$ac_ext
1542fi
1543echo "$as_me:1543: result: $ac_cv_prog_cc_g" >&5
1544echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
1545if test "$ac_test_CFLAGS" = set; then
1546  CFLAGS=$ac_save_CFLAGS
1547elif test $ac_cv_prog_cc_g = yes; then
1548  if test "$GCC" = yes; then
1549    CFLAGS="-g -O2"
1550  else
1551    CFLAGS="-g"
1552  fi
1553else
1554  if test "$GCC" = yes; then
1555    CFLAGS="-O2"
1556  else
1557    CFLAGS=
1558  fi
1559fi
1560# Some people use a C++ compiler to compile C.  Since we use `exit',
1561# in C++ we need to declare it.  In case someone uses the same compiler
1562# for both compiling C and C++ we need to have the C++ compiler decide
1563# the declaration of exit, since it's the most demanding environment.
1564cat >conftest.$ac_ext <<_ACEOF
1565#ifndef __cplusplus
1566  choke me
1567#endif
1568_ACEOF
1569rm -f conftest.$ac_objext
1570if { (eval echo "$as_me:1570: \"$ac_compile\"") >&5
1571  (eval $ac_compile) 2>&5
1572  ac_status=$?
1573  echo "$as_me:1573: \$? = $ac_status" >&5
1574  (exit $ac_status); } &&
1575         { ac_try='test -s conftest.$ac_objext'
1576  { (eval echo "$as_me:1576: \"$ac_try\"") >&5
1577  (eval $ac_try) 2>&5
1578  ac_status=$?
1579  echo "$as_me:1579: \$? = $ac_status" >&5
1580  (exit $ac_status); }; }; then
1581  for ac_declaration in \
1582   ''\
1583   '#include <stdlib.h>' \
1584   'extern "C" void std::exit (int) throw (); using std::exit;' \
1585   'extern "C" void std::exit (int); using std::exit;' \
1586   'extern "C" void exit (int) throw ();' \
1587   'extern "C" void exit (int);' \
1588   'void exit (int);'
1589do
1590  cat >conftest.$ac_ext <<_ACEOF
1591#line 1591 "configure"
1592#include "confdefs.h"
1593#include <stdlib.h>
1594$ac_declaration
1595int
1596main ()
1597{
1598exit (42);
1599  ;
1600  return 0;
1601}
1602_ACEOF
1603rm -f conftest.$ac_objext
1604if { (eval echo "$as_me:1604: \"$ac_compile\"") >&5
1605  (eval $ac_compile) 2>&5
1606  ac_status=$?
1607  echo "$as_me:1607: \$? = $ac_status" >&5
1608  (exit $ac_status); } &&
1609         { ac_try='test -s conftest.$ac_objext'
1610  { (eval echo "$as_me:1610: \"$ac_try\"") >&5
1611  (eval $ac_try) 2>&5
1612  ac_status=$?
1613  echo "$as_me:1613: \$? = $ac_status" >&5
1614  (exit $ac_status); }; }; then
1615  :
1616else
1617  echo "$as_me: failed program was:" >&5
1618cat conftest.$ac_ext >&5
1619continue
1620fi
1621rm -f conftest.$ac_objext conftest.$ac_ext
1622  cat >conftest.$ac_ext <<_ACEOF
1623#line 1623 "configure"
1624#include "confdefs.h"
1625$ac_declaration
1626int
1627main ()
1628{
1629exit (42);
1630  ;
1631  return 0;
1632}
1633_ACEOF
1634rm -f conftest.$ac_objext
1635if { (eval echo "$as_me:1635: \"$ac_compile\"") >&5
1636  (eval $ac_compile) 2>&5
1637  ac_status=$?
1638  echo "$as_me:1638: \$? = $ac_status" >&5
1639  (exit $ac_status); } &&
1640         { ac_try='test -s conftest.$ac_objext'
1641  { (eval echo "$as_me:1641: \"$ac_try\"") >&5
1642  (eval $ac_try) 2>&5
1643  ac_status=$?
1644  echo "$as_me:1644: \$? = $ac_status" >&5
1645  (exit $ac_status); }; }; then
1646  break
1647else
1648  echo "$as_me: failed program was:" >&5
1649cat conftest.$ac_ext >&5
1650fi
1651rm -f conftest.$ac_objext conftest.$ac_ext
1652done
1653rm -f conftest*
1654if test -n "$ac_declaration"; then
1655  echo '#ifdef __cplusplus' >>confdefs.h
1656  echo $ac_declaration      >>confdefs.h
1657  echo '#endif'             >>confdefs.h
1658fi
1659
1660else
1661  echo "$as_me: failed program was:" >&5
1662cat conftest.$ac_ext >&5
1663fi
1664rm -f conftest.$ac_objext conftest.$ac_ext
1665ac_ext=c
1666ac_cpp='$CPP $CPPFLAGS'
1667ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1668ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1669ac_compiler_gnu=$ac_cv_c_compiler_gnu
1670
1671ac_ext=c
1672ac_cpp='$CPP $CPPFLAGS'
1673ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1674ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1675ac_compiler_gnu=$ac_cv_c_compiler_gnu
1676echo "$as_me:1676: checking how to run the C preprocessor" >&5
1677echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
1678# On Suns, sometimes $CPP names a directory.
1679if test -n "$CPP" && test -d "$CPP"; then
1680  CPP=
1681fi
1682if test -z "$CPP"; then
1683  if test "${ac_cv_prog_CPP+set}" = set; then
1684  echo $ECHO_N "(cached) $ECHO_C" >&6
1685else
1686      # Double quotes because CPP needs to be expanded
1687    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
1688    do
1689      ac_preproc_ok=false
1690for ac_c_preproc_warn_flag in '' yes
1691do
1692  # Use a header file that comes with gcc, so configuring glibc
1693  # with a fresh cross-compiler works.
1694  # On the NeXT, cc -E runs the code through the compiler's parser,
1695  # not just through cpp. "Syntax error" is here to catch this case.
1696  cat >conftest.$ac_ext <<_ACEOF
1697#line 1697 "configure"
1698#include "confdefs.h"
1699#include <assert.h>
1700                     Syntax error
1701_ACEOF
1702if { (eval echo "$as_me:1702: \"$ac_cpp conftest.$ac_ext\"") >&5
1703  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1704  ac_status=$?
1705  egrep -v '^ *\+' conftest.er1 >conftest.err
1706  rm -f conftest.er1
1707  cat conftest.err >&5
1708  echo "$as_me:1708: \$? = $ac_status" >&5
1709  (exit $ac_status); } >/dev/null; then
1710  if test -s conftest.err; then
1711    ac_cpp_err=$ac_c_preproc_warn_flag
1712  else
1713    ac_cpp_err=
1714  fi
1715else
1716  ac_cpp_err=yes
1717fi
1718if test -z "$ac_cpp_err"; then
1719  :
1720else
1721  echo "$as_me: failed program was:" >&5
1722  cat conftest.$ac_ext >&5
1723  # Broken: fails on valid input.
1724continue
1725fi
1726rm -f conftest.err conftest.$ac_ext
1727
1728  # OK, works on sane cases.  Now check whether non-existent headers
1729  # can be detected and how.
1730  cat >conftest.$ac_ext <<_ACEOF
1731#line 1731 "configure"
1732#include "confdefs.h"
1733#include <ac_nonexistent.h>
1734_ACEOF
1735if { (eval echo "$as_me:1735: \"$ac_cpp conftest.$ac_ext\"") >&5
1736  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1737  ac_status=$?
1738  egrep -v '^ *\+' conftest.er1 >conftest.err
1739  rm -f conftest.er1
1740  cat conftest.err >&5
1741  echo "$as_me:1741: \$? = $ac_status" >&5
1742  (exit $ac_status); } >/dev/null; then
1743  if test -s conftest.err; then
1744    ac_cpp_err=$ac_c_preproc_warn_flag
1745  else
1746    ac_cpp_err=
1747  fi
1748else
1749  ac_cpp_err=yes
1750fi
1751if test -z "$ac_cpp_err"; then
1752  # Broken: success on invalid input.
1753continue
1754else
1755  echo "$as_me: failed program was:" >&5
1756  cat conftest.$ac_ext >&5
1757  # Passes both tests.
1758ac_preproc_ok=:
1759break
1760fi
1761rm -f conftest.err conftest.$ac_ext
1762
1763done
1764# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1765rm -f conftest.err conftest.$ac_ext
1766if $ac_preproc_ok; then
1767  break
1768fi
1769
1770    done
1771    ac_cv_prog_CPP=$CPP
1772
1773fi
1774  CPP=$ac_cv_prog_CPP
1775else
1776  ac_cv_prog_CPP=$CPP
1777fi
1778echo "$as_me:1778: result: $CPP" >&5
1779echo "${ECHO_T}$CPP" >&6
1780ac_preproc_ok=false
1781for ac_c_preproc_warn_flag in '' yes
1782do
1783  # Use a header file that comes with gcc, so configuring glibc
1784  # with a fresh cross-compiler works.
1785  # On the NeXT, cc -E runs the code through the compiler's parser,
1786  # not just through cpp. "Syntax error" is here to catch this case.
1787  cat >conftest.$ac_ext <<_ACEOF
1788#line 1788 "configure"
1789#include "confdefs.h"
1790#include <assert.h>
1791                     Syntax error
1792_ACEOF
1793if { (eval echo "$as_me:1793: \"$ac_cpp conftest.$ac_ext\"") >&5
1794  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1795  ac_status=$?
1796  egrep -v '^ *\+' conftest.er1 >conftest.err
1797  rm -f conftest.er1
1798  cat conftest.err >&5
1799  echo "$as_me:1799: \$? = $ac_status" >&5
1800  (exit $ac_status); } >/dev/null; then
1801  if test -s conftest.err; then
1802    ac_cpp_err=$ac_c_preproc_warn_flag
1803  else
1804    ac_cpp_err=
1805  fi
1806else
1807  ac_cpp_err=yes
1808fi
1809if test -z "$ac_cpp_err"; then
1810  :
1811else
1812  echo "$as_me: failed program was:" >&5
1813  cat conftest.$ac_ext >&5
1814  # Broken: fails on valid input.
1815continue
1816fi
1817rm -f conftest.err conftest.$ac_ext
1818
1819  # OK, works on sane cases.  Now check whether non-existent headers
1820  # can be detected and how.
1821  cat >conftest.$ac_ext <<_ACEOF
1822#line 1822 "configure"
1823#include "confdefs.h"
1824#include <ac_nonexistent.h>
1825_ACEOF
1826if { (eval echo "$as_me:1826: \"$ac_cpp conftest.$ac_ext\"") >&5
1827  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1828  ac_status=$?
1829  egrep -v '^ *\+' conftest.er1 >conftest.err
1830  rm -f conftest.er1
1831  cat conftest.err >&5
1832  echo "$as_me:1832: \$? = $ac_status" >&5
1833  (exit $ac_status); } >/dev/null; then
1834  if test -s conftest.err; then
1835    ac_cpp_err=$ac_c_preproc_warn_flag
1836  else
1837    ac_cpp_err=
1838  fi
1839else
1840  ac_cpp_err=yes
1841fi
1842if test -z "$ac_cpp_err"; then
1843  # Broken: success on invalid input.
1844continue
1845else
1846  echo "$as_me: failed program was:" >&5
1847  cat conftest.$ac_ext >&5
1848  # Passes both tests.
1849ac_preproc_ok=:
1850break
1851fi
1852rm -f conftest.err conftest.$ac_ext
1853
1854done
1855# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1856rm -f conftest.err conftest.$ac_ext
1857if $ac_preproc_ok; then
1858  :
1859else
1860  { { echo "$as_me:1860: error: C preprocessor \"$CPP\" fails sanity check" >&5
1861echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
1862   { (exit 1); exit 1; }; }
1863fi
1864
1865ac_ext=c
1866ac_cpp='$CPP $CPPFLAGS'
1867ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1868ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1869ac_compiler_gnu=$ac_cv_c_compiler_gnu
1870
1871echo "$as_me:1871: checking for regex.h" >&5
1872echo $ECHO_N "checking for regex.h... $ECHO_C" >&6
1873if test "${ac_cv_header_regex_h+set}" = set; then
1874  echo $ECHO_N "(cached) $ECHO_C" >&6
1875else
1876  cat >conftest.$ac_ext <<_ACEOF
1877#line 1877 "configure"
1878#include "confdefs.h"
1879#include <regex.h>
1880_ACEOF
1881if { (eval echo "$as_me:1881: \"$ac_cpp conftest.$ac_ext\"") >&5
1882  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1883  ac_status=$?
1884  egrep -v '^ *\+' conftest.er1 >conftest.err
1885  rm -f conftest.er1
1886  cat conftest.err >&5
1887  echo "$as_me:1887: \$? = $ac_status" >&5
1888  (exit $ac_status); } >/dev/null; then
1889  if test -s conftest.err; then
1890    ac_cpp_err=$ac_c_preproc_warn_flag
1891  else
1892    ac_cpp_err=
1893  fi
1894else
1895  ac_cpp_err=yes
1896fi
1897if test -z "$ac_cpp_err"; then
1898  ac_cv_header_regex_h=yes
1899else
1900  echo "$as_me: failed program was:" >&5
1901  cat conftest.$ac_ext >&5
1902  ac_cv_header_regex_h=no
1903fi
1904rm -f conftest.err conftest.$ac_ext
1905fi
1906echo "$as_me:1906: result: $ac_cv_header_regex_h" >&5
1907echo "${ECHO_T}$ac_cv_header_regex_h" >&6
1908if test $ac_cv_header_regex_h = yes; then
1909  :
1910else
1911  { { echo "$as_me:1911: error: POSIX regex.h is required" >&5
1912echo "$as_me: error: POSIX regex.h is required" >&2;}
1913   { (exit 1); exit 1; }; }
1914fi
1915
1916# If we don't have <poll.h>, we need to use select(2).
1917echo "$as_me:1917: checking for poll.h" >&5
1918echo $ECHO_N "checking for poll.h... $ECHO_C" >&6
1919if test "${ac_cv_header_poll_h+set}" = set; then
1920  echo $ECHO_N "(cached) $ECHO_C" >&6
1921else
1922  cat >conftest.$ac_ext <<_ACEOF
1923#line 1923 "configure"
1924#include "confdefs.h"
1925#include <poll.h>
1926_ACEOF
1927if { (eval echo "$as_me:1927: \"$ac_cpp conftest.$ac_ext\"") >&5
1928  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1929  ac_status=$?
1930  egrep -v '^ *\+' conftest.er1 >conftest.err
1931  rm -f conftest.er1
1932  cat conftest.err >&5
1933  echo "$as_me:1933: \$? = $ac_status" >&5
1934  (exit $ac_status); } >/dev/null; then
1935  if test -s conftest.err; then
1936    ac_cpp_err=$ac_c_preproc_warn_flag
1937  else
1938    ac_cpp_err=
1939  fi
1940else
1941  ac_cpp_err=yes
1942fi
1943if test -z "$ac_cpp_err"; then
1944  ac_cv_header_poll_h=yes
1945else
1946  echo "$as_me: failed program was:" >&5
1947  cat conftest.$ac_ext >&5
1948  ac_cv_header_poll_h=no
1949fi
1950rm -f conftest.err conftest.$ac_ext
1951fi
1952echo "$as_me:1952: result: $ac_cv_header_poll_h" >&5
1953echo "${ECHO_T}$ac_cv_header_poll_h" >&6
1954if test $ac_cv_header_poll_h = yes; then
1955  :
1956else
1957  cat >>confdefs.h <<\EOF
1958#define USE_SELECT 1
1959EOF
1960
1961fi
1962
1963# regcomp() and regexec() are also names of functions in the old V8
1964# regexp package.  To avoid them, we need to find out who has regfree().
1965
1966echo "$as_me:1966: checking for regfree in -lregex" >&5
1967echo $ECHO_N "checking for regfree in -lregex... $ECHO_C" >&6
1968if test "${ac_cv_lib_regex_regfree+set}" = set; then
1969  echo $ECHO_N "(cached) $ECHO_C" >&6
1970else
1971  ac_check_lib_save_LIBS=$LIBS
1972LIBS="-lregex  $LIBS"
1973cat >conftest.$ac_ext <<_ACEOF
1974#line 1974 "configure"
1975#include "confdefs.h"
1976
1977/* Override any gcc2 internal prototype to avoid an error.  */
1978#ifdef __cplusplus
1979extern "C"
1980#endif
1981/* We use char because int might match the return type of a gcc2
1982   builtin and then its argument prototype would still apply.  */
1983char regfree ();
1984int
1985main ()
1986{
1987regfree ();
1988  ;
1989  return 0;
1990}
1991_ACEOF
1992rm -f conftest.$ac_objext conftest$ac_exeext
1993if { (eval echo "$as_me:1993: \"$ac_link\"") >&5
1994  (eval $ac_link) 2>&5
1995  ac_status=$?
1996  echo "$as_me:1996: \$? = $ac_status" >&5
1997  (exit $ac_status); } &&
1998         { ac_try='test -s conftest$ac_exeext'
1999  { (eval echo "$as_me:1999: \"$ac_try\"") >&5
2000  (eval $ac_try) 2>&5
2001  ac_status=$?
2002  echo "$as_me:2002: \$? = $ac_status" >&5
2003  (exit $ac_status); }; }; then
2004  ac_cv_lib_regex_regfree=yes
2005else
2006  echo "$as_me: failed program was:" >&5
2007cat conftest.$ac_ext >&5
2008ac_cv_lib_regex_regfree=no
2009fi
2010rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2011LIBS=$ac_check_lib_save_LIBS
2012fi
2013echo "$as_me:2013: result: $ac_cv_lib_regex_regfree" >&5
2014echo "${ECHO_T}$ac_cv_lib_regex_regfree" >&6
2015if test $ac_cv_lib_regex_regfree = yes; then
2016  cat >>confdefs.h <<EOF
2017#define HAVE_LIBREGEX 1
2018EOF
2019
2020  LIBS="-lregex $LIBS"
2021
2022fi
2023
2024echo "$as_me:2024: checking for library containing regfree" >&5
2025echo $ECHO_N "checking for library containing regfree... $ECHO_C" >&6
2026if test "${ac_cv_search_regfree+set}" = set; then
2027  echo $ECHO_N "(cached) $ECHO_C" >&6
2028else
2029  ac_func_search_save_LIBS=$LIBS
2030ac_cv_search_regfree=no
2031cat >conftest.$ac_ext <<_ACEOF
2032#line 2032 "configure"
2033#include "confdefs.h"
2034
2035/* Override any gcc2 internal prototype to avoid an error.  */
2036#ifdef __cplusplus
2037extern "C"
2038#endif
2039/* We use char because int might match the return type of a gcc2
2040   builtin and then its argument prototype would still apply.  */
2041char regfree ();
2042int
2043main ()
2044{
2045regfree ();
2046  ;
2047  return 0;
2048}
2049_ACEOF
2050rm -f conftest.$ac_objext conftest$ac_exeext
2051if { (eval echo "$as_me:2051: \"$ac_link\"") >&5
2052  (eval $ac_link) 2>&5
2053  ac_status=$?
2054  echo "$as_me:2054: \$? = $ac_status" >&5
2055  (exit $ac_status); } &&
2056         { ac_try='test -s conftest$ac_exeext'
2057  { (eval echo "$as_me:2057: \"$ac_try\"") >&5
2058  (eval $ac_try) 2>&5
2059  ac_status=$?
2060  echo "$as_me:2060: \$? = $ac_status" >&5
2061  (exit $ac_status); }; }; then
2062  ac_cv_search_regfree="none required"
2063else
2064  echo "$as_me: failed program was:" >&5
2065cat conftest.$ac_ext >&5
2066fi
2067rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2068if test "$ac_cv_search_regfree" = no; then
2069  for ac_lib in rx posix; do
2070    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
2071    cat >conftest.$ac_ext <<_ACEOF
2072#line 2072 "configure"
2073#include "confdefs.h"
2074
2075/* Override any gcc2 internal prototype to avoid an error.  */
2076#ifdef __cplusplus
2077extern "C"
2078#endif
2079/* We use char because int might match the return type of a gcc2
2080   builtin and then its argument prototype would still apply.  */
2081char regfree ();
2082int
2083main ()
2084{
2085regfree ();
2086  ;
2087  return 0;
2088}
2089_ACEOF
2090rm -f conftest.$ac_objext conftest$ac_exeext
2091if { (eval echo "$as_me:2091: \"$ac_link\"") >&5
2092  (eval $ac_link) 2>&5
2093  ac_status=$?
2094  echo "$as_me:2094: \$? = $ac_status" >&5
2095  (exit $ac_status); } &&
2096         { ac_try='test -s conftest$ac_exeext'
2097  { (eval echo "$as_me:2097: \"$ac_try\"") >&5
2098  (eval $ac_try) 2>&5
2099  ac_status=$?
2100  echo "$as_me:2100: \$? = $ac_status" >&5
2101  (exit $ac_status); }; }; then
2102  ac_cv_search_regfree="-l$ac_lib"
2103break
2104else
2105  echo "$as_me: failed program was:" >&5
2106cat conftest.$ac_ext >&5
2107fi
2108rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2109  done
2110fi
2111LIBS=$ac_func_search_save_LIBS
2112fi
2113echo "$as_me:2113: result: $ac_cv_search_regfree" >&5
2114echo "${ECHO_T}$ac_cv_search_regfree" >&6
2115if test "$ac_cv_search_regfree" != no; then
2116  test "$ac_cv_search_regfree" = "none required" || LIBS="$ac_cv_search_regfree $LIBS"
2117
2118fi
2119
2120for ac_func in setenv strdup strerror strftime vsnprintf
2121do
2122as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2123echo "$as_me:2123: checking for $ac_func" >&5
2124echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
2125if eval "test \"\${$as_ac_var+set}\" = set"; then
2126  echo $ECHO_N "(cached) $ECHO_C" >&6
2127else
2128  cat >conftest.$ac_ext <<_ACEOF
2129#line 2129 "configure"
2130#include "confdefs.h"
2131/* System header to define __stub macros and hopefully few prototypes,
2132    which can conflict with char $ac_func (); below.  */
2133#include <assert.h>
2134/* Override any gcc2 internal prototype to avoid an error.  */
2135#ifdef __cplusplus
2136extern "C"
2137#endif
2138/* We use char because int might match the return type of a gcc2
2139   builtin and then its argument prototype would still apply.  */
2140char $ac_func ();
2141char (*f) ();
2142
2143int
2144main ()
2145{
2146/* The GNU C library defines this for functions which it implements
2147    to always fail with ENOSYS.  Some functions are actually named
2148    something starting with __ and the normal name is an alias.  */
2149#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
2150choke me
2151#else
2152f = $ac_func;
2153#endif
2154
2155  ;
2156  return 0;
2157}
2158_ACEOF
2159rm -f conftest.$ac_objext conftest$ac_exeext
2160if { (eval echo "$as_me:2160: \"$ac_link\"") >&5
2161  (eval $ac_link) 2>&5
2162  ac_status=$?
2163  echo "$as_me:2163: \$? = $ac_status" >&5
2164  (exit $ac_status); } &&
2165         { ac_try='test -s conftest$ac_exeext'
2166  { (eval echo "$as_me:2166: \"$ac_try\"") >&5
2167  (eval $ac_try) 2>&5
2168  ac_status=$?
2169  echo "$as_me:2169: \$? = $ac_status" >&5
2170  (exit $ac_status); }; }; then
2171  eval "$as_ac_var=yes"
2172else
2173  echo "$as_me: failed program was:" >&5
2174cat conftest.$ac_ext >&5
2175eval "$as_ac_var=no"
2176fi
2177rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2178fi
2179echo "$as_me:2179: result: `eval echo '${'$as_ac_var'}'`" >&5
2180echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
2181if test `eval echo '${'$as_ac_var'}'` = yes; then
2182  cat >>confdefs.h <<EOF
2183#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
2184EOF
2185
2186fi
2187done
2188
2189cat >confcache <<\_ACEOF
2190# This file is a shell script that caches the results of configure
2191# tests run on this system so they can be shared between configure
2192# scripts and configure runs, see configure's option --config-cache.
2193# It is not useful on other systems.  If it contains results you don't
2194# want to keep, you may remove or edit it.
2195#
2196# config.status only pays attention to the cache file if you give it
2197# the --recheck option to rerun configure.
2198#
2199# `ac_cv_env_foo' variables (set or unset) will be overriden when
2200# loading this file, other *unset* `ac_cv_foo' will be assigned the
2201# following values.
2202
2203_ACEOF
2204
2205# The following way of writing the cache mishandles newlines in values,
2206# but we know of no workaround that is simple, portable, and efficient.
2207# So, don't put newlines in cache variables' values.
2208# Ultrix sh set writes to stderr and can't be redirected directly,
2209# and sets the high bit in the cache file unless we assign to the vars.
2210{
2211  (set) 2>&1 |
2212    case `(ac_space=' '; set | grep ac_space) 2>&1` in
2213    *ac_space=\ *)
2214      # `set' does not quote correctly, so add quotes (double-quote
2215      # substitution turns \\\\ into \\, and sed turns \\ into \).
2216      sed -n \
2217        "s/'/'\\\\''/g;
2218    	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
2219      ;;
2220    *)
2221      # `set' quotes correctly as required by POSIX, so do not add quotes.
2222      sed -n \
2223        "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
2224      ;;
2225    esac;
2226} |
2227  sed '
2228     t clear
2229     : clear
2230     s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
2231     t end
2232     /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
2233     : end' >>confcache
2234if cmp -s $cache_file confcache; then :; else
2235  if test -w $cache_file; then
2236    test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
2237    cat confcache >$cache_file
2238  else
2239    echo "not updating unwritable cache $cache_file"
2240  fi
2241fi
2242rm -f confcache
2243
2244test "x$prefix" = xNONE && prefix=$ac_default_prefix
2245# Let make expand exec_prefix.
2246test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
2247
2248# VPATH may cause trouble with some makes, so we remove $(srcdir),
2249# ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
2250# trailing colons and then remove the whole line if VPATH becomes empty
2251# (actually we leave an empty line to preserve line numbers).
2252if test "x$srcdir" = x.; then
2253  ac_vpsub='/^[ 	]*VPATH[ 	]*=/{
2254s/:*\$(srcdir):*/:/;
2255s/:*\${srcdir}:*/:/;
2256s/:*@srcdir@:*/:/;
2257s/^\([^=]*=[ 	]*\):*/\1/;
2258s/:*$//;
2259s/^[^=]*=[ 	]*$//;
2260}'
2261fi
2262
2263# Transform confdefs.h into DEFS.
2264# Protect against shell expansion while executing Makefile rules.
2265# Protect against Makefile macro expansion.
2266#
2267# If the first sed substitution is executed (which looks for macros that
2268# take arguments), then we branch to the quote section.  Otherwise,
2269# look for a macro that doesn't take arguments.
2270cat >confdef2opt.sed <<\EOF
2271t clear
2272: clear
2273s,^[ 	]*#[ 	]*define[ 	][ 	]*\([^ 	(][^ 	(]*([^)]*)\)[ 	]*\(.*\),-D\1=\2,g
2274t quote
2275s,^[ 	]*#[ 	]*define[ 	][ 	]*\([^ 	][^ 	]*\)[ 	]*\(.*\),-D\1=\2,g
2276t quote
2277d
2278: quote
2279s,[ 	`~#$^&*(){}\\|;'"<>?],\\&,g
2280s,\[,\\&,g
2281s,\],\\&,g
2282s,\$,$$,g
2283p
2284EOF
2285# We use echo to avoid assuming a particular line-breaking character.
2286# The extra dot is to prevent the shell from consuming trailing
2287# line-breaks from the sub-command output.  A line-break within
2288# single-quotes doesn't work because, if this script is created in a
2289# platform that uses two characters for line-breaks (e.g., DOS), tr
2290# would break.
2291ac_LF_and_DOT=`echo; echo .`
2292DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
2293rm -f confdef2opt.sed
2294
2295: ${CONFIG_STATUS=./config.status}
2296ac_clean_files_save=$ac_clean_files
2297ac_clean_files="$ac_clean_files $CONFIG_STATUS"
2298{ echo "$as_me:2298: creating $CONFIG_STATUS" >&5
2299echo "$as_me: creating $CONFIG_STATUS" >&6;}
2300cat >$CONFIG_STATUS <<_ACEOF
2301#! $SHELL
2302# Generated automatically by configure.
2303# Run this file to recreate the current configuration.
2304# Compiler output produced by configure, useful for debugging
2305# configure, is in config.log if it exists.
2306
2307debug=false
2308SHELL=\${CONFIG_SHELL-$SHELL}
2309ac_cs_invocation="\$0 \$@"
2310
2311_ACEOF
2312
2313cat >>$CONFIG_STATUS <<\_ACEOF
2314# Be Bourne compatible
2315if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
2316  emulate sh
2317  NULLCMD=:
2318elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
2319  set -o posix
2320fi
2321
2322# Name of the executable.
2323as_me=`echo "$0" |sed 's,.*[\\/],,'`
2324
2325if expr a : '\(a\)' >/dev/null 2>&1; then
2326  as_expr=expr
2327else
2328  as_expr=false
2329fi
2330
2331rm -f conf$$ conf$$.exe conf$$.file
2332echo >conf$$.file
2333if ln -s conf$$.file conf$$ 2>/dev/null; then
2334  # We could just check for DJGPP; but this test a) works b) is more generic
2335  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
2336  if test -f conf$$.exe; then
2337    # Don't use ln at all; we don't have any links
2338    as_ln_s='cp -p'
2339  else
2340    as_ln_s='ln -s'
2341  fi
2342elif ln conf$$.file conf$$ 2>/dev/null; then
2343  as_ln_s=ln
2344else
2345  as_ln_s='cp -p'
2346fi
2347rm -f conf$$ conf$$.exe conf$$.file
2348
2349as_executable_p="test -f"
2350
2351# Support unset when possible.
2352if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
2353  as_unset=unset
2354else
2355  as_unset=false
2356fi
2357
2358# NLS nuisances.
2359$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
2360$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
2361$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
2362$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
2363$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
2364$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
2365$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
2366$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
2367
2368# IFS
2369# We need space, tab and new line, in precisely that order.
2370as_nl='
2371'
2372IFS=" 	$as_nl"
2373
2374# CDPATH.
2375$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
2376
2377exec 6>&1
2378
2379_ACEOF
2380
2381# Files that config.status was made for.
2382if test -n "$ac_config_files"; then
2383  echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
2384fi
2385
2386if test -n "$ac_config_headers"; then
2387  echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
2388fi
2389
2390if test -n "$ac_config_links"; then
2391  echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
2392fi
2393
2394if test -n "$ac_config_commands"; then
2395  echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
2396fi
2397
2398cat >>$CONFIG_STATUS <<\EOF
2399
2400ac_cs_usage="\
2401\`$as_me' instantiates files from templates according to the
2402current configuration.
2403
2404Usage: $0 [OPTIONS] [FILE]...
2405
2406  -h, --help       print this help, then exit
2407  -V, --version    print version number, then exit
2408  -d, --debug      don't remove temporary files
2409      --recheck    update $as_me by reconfiguring in the same conditions
2410  --file=FILE[:TEMPLATE]
2411                   instantiate the configuration file FILE
2412
2413Configuration files:
2414$config_files
2415
2416Report bugs to <bug-autoconf@gnu.org>."
2417EOF
2418
2419cat >>$CONFIG_STATUS <<EOF
2420ac_cs_version="\\
2421make config.status noversion
2422configured by $0, generated by GNU Autoconf 2.52,
2423  with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
2424
2425Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
2426Free Software Foundation, Inc.
2427This config.status script is free software; the Free Software Foundation
2428gives unlimited permission to copy, distribute and modify it."
2429srcdir=$srcdir
2430EOF
2431
2432cat >>$CONFIG_STATUS <<\EOF
2433# If no file are specified by the user, then we need to provide default
2434# value.  By we need to know if files were specified by the user.
2435ac_need_defaults=:
2436while test $# != 0
2437do
2438  case $1 in
2439  --*=*)
2440    ac_option=`expr "x$1" : 'x\([^=]*\)='`
2441    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
2442    shift
2443    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
2444    shift
2445    ;;
2446  -*);;
2447  *) # This is not an option, so the user has probably given explicit
2448     # arguments.
2449     ac_need_defaults=false;;
2450  esac
2451
2452  case $1 in
2453  # Handling of the options.
2454EOF
2455cat >>$CONFIG_STATUS <<EOF
2456  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2457    echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion"
2458    exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;;
2459EOF
2460cat >>$CONFIG_STATUS <<\EOF
2461  --version | --vers* | -V )
2462    echo "$ac_cs_version"; exit 0 ;;
2463  --he | --h)
2464    # Conflict between --help and --header
2465    { { echo "$as_me:2465: error: ambiguous option: $1
2466Try \`$0 --help' for more information." >&5
2467echo "$as_me: error: ambiguous option: $1
2468Try \`$0 --help' for more information." >&2;}
2469   { (exit 1); exit 1; }; };;
2470  --help | --hel | -h )
2471    echo "$ac_cs_usage"; exit 0 ;;
2472  --debug | --d* | -d )
2473    debug=: ;;
2474  --file | --fil | --fi | --f )
2475    shift
2476    CONFIG_FILES="$CONFIG_FILES $1"
2477    ac_need_defaults=false;;
2478  --header | --heade | --head | --hea )
2479    shift
2480    CONFIG_HEADERS="$CONFIG_HEADERS $1"
2481    ac_need_defaults=false;;
2482
2483  # This is an error.
2484  -*) { { echo "$as_me:2484: error: unrecognized option: $1
2485Try \`$0 --help' for more information." >&5
2486echo "$as_me: error: unrecognized option: $1
2487Try \`$0 --help' for more information." >&2;}
2488   { (exit 1); exit 1; }; } ;;
2489
2490  *) ac_config_targets="$ac_config_targets $1" ;;
2491
2492  esac
2493  shift
2494done
2495
2496exec 5>>config.log
2497cat >&5 << _ACEOF
2498
2499## ----------------------- ##
2500## Running config.status.  ##
2501## ----------------------- ##
2502
2503This file was extended by $as_me (make noversion) 2.52, executed with
2504  CONFIG_FILES    = $CONFIG_FILES
2505  CONFIG_HEADERS  = $CONFIG_HEADERS
2506  CONFIG_LINKS    = $CONFIG_LINKS
2507  CONFIG_COMMANDS = $CONFIG_COMMANDS
2508  > $ac_cs_invocation
2509on `(hostname || uname -n) 2>/dev/null | sed 1q`
2510
2511_ACEOF
2512EOF
2513
2514cat >>$CONFIG_STATUS <<\EOF
2515for ac_config_target in $ac_config_targets
2516do
2517  case "$ac_config_target" in
2518  # Handling of arguments.
2519  "buildmake.sh" ) CONFIG_FILES="$CONFIG_FILES buildmake.sh" ;;
2520  *) { { echo "$as_me:2520: error: invalid argument: $ac_config_target" >&5
2521echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
2522   { (exit 1); exit 1; }; };;
2523  esac
2524done
2525
2526# If the user did not use the arguments to specify the items to instantiate,
2527# then the envvar interface is used.  Set only those that are not.
2528# We use the long form for the default assignment because of an extremely
2529# bizarre bug on SunOS 4.1.3.
2530if $ac_need_defaults; then
2531  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
2532fi
2533
2534# Create a temporary directory, and hook for its removal unless debugging.
2535$debug ||
2536{
2537  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
2538  trap '{ (exit 1); exit 1; }' 1 2 13 15
2539}
2540
2541# Create a (secure) tmp directory for tmp files.
2542: ${TMPDIR=/tmp}
2543{
2544  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
2545  test -n "$tmp" && test -d "$tmp"
2546}  ||
2547{
2548  tmp=$TMPDIR/cs$$-$RANDOM
2549  (umask 077 && mkdir $tmp)
2550} ||
2551{
2552   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
2553   { (exit 1); exit 1; }
2554}
2555
2556EOF
2557
2558cat >>$CONFIG_STATUS <<EOF
2559
2560#
2561# CONFIG_FILES section.
2562#
2563
2564# No need to generate the scripts if there are no CONFIG_FILES.
2565# This happens for instance when ./config.status config.h
2566if test -n "\$CONFIG_FILES"; then
2567  # Protect against being on the right side of a sed subst in config.status.
2568  sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
2569   s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
2570s,@SHELL@,$SHELL,;t t
2571s,@exec_prefix@,$exec_prefix,;t t
2572s,@prefix@,$prefix,;t t
2573s,@program_transform_name@,$program_transform_name,;t t
2574s,@bindir@,$bindir,;t t
2575s,@sbindir@,$sbindir,;t t
2576s,@libexecdir@,$libexecdir,;t t
2577s,@datadir@,$datadir,;t t
2578s,@sysconfdir@,$sysconfdir,;t t
2579s,@sharedstatedir@,$sharedstatedir,;t t
2580s,@localstatedir@,$localstatedir,;t t
2581s,@libdir@,$libdir,;t t
2582s,@includedir@,$includedir,;t t
2583s,@oldincludedir@,$oldincludedir,;t t
2584s,@infodir@,$infodir,;t t
2585s,@mandir@,$mandir,;t t
2586s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
2587s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
2588s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
2589s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
2590s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
2591s,@build_alias@,$build_alias,;t t
2592s,@host_alias@,$host_alias,;t t
2593s,@target_alias@,$target_alias,;t t
2594s,@ECHO_C@,$ECHO_C,;t t
2595s,@ECHO_N@,$ECHO_N,;t t
2596s,@ECHO_T@,$ECHO_T,;t t
2597s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
2598s,@DEFS@,$DEFS,;t t
2599s,@LIBS@,$LIBS,;t t
2600s,@BSHELL@,$BSHELL,;t t
2601s,@CC@,$CC,;t t
2602s,@CFLAGS@,$CFLAGS,;t t
2603s,@LDFLAGS@,$LDFLAGS,;t t
2604s,@CPPFLAGS@,$CPPFLAGS,;t t
2605s,@ac_ct_CC@,$ac_ct_CC,;t t
2606s,@EXEEXT@,$EXEEXT,;t t
2607s,@OBJEXT@,$OBJEXT,;t t
2608s,@CPP@,$CPP,;t t
2609CEOF
2610
2611EOF
2612
2613  cat >>$CONFIG_STATUS <<\EOF
2614  # Split the substitutions into bite-sized pieces for seds with
2615  # small command number limits, like on Digital OSF/1 and HP-UX.
2616  ac_max_sed_lines=48
2617  ac_sed_frag=1 # Number of current file.
2618  ac_beg=1 # First line for current file.
2619  ac_end=$ac_max_sed_lines # Line after last line for current file.
2620  ac_more_lines=:
2621  ac_sed_cmds=
2622  while $ac_more_lines; do
2623    if test $ac_beg -gt 1; then
2624      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2625    else
2626      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2627    fi
2628    if test ! -s $tmp/subs.frag; then
2629      ac_more_lines=false
2630    else
2631      # The purpose of the label and of the branching condition is to
2632      # speed up the sed processing (if there are no `@' at all, there
2633      # is no need to browse any of the substitutions).
2634      # These are the two extra sed commands mentioned above.
2635      (echo ':t
2636  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
2637      if test -z "$ac_sed_cmds"; then
2638  	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
2639      else
2640  	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
2641      fi
2642      ac_sed_frag=`expr $ac_sed_frag + 1`
2643      ac_beg=$ac_end
2644      ac_end=`expr $ac_end + $ac_max_sed_lines`
2645    fi
2646  done
2647  if test -z "$ac_sed_cmds"; then
2648    ac_sed_cmds=cat
2649  fi
2650fi # test -n "$CONFIG_FILES"
2651
2652EOF
2653cat >>$CONFIG_STATUS <<\EOF
2654for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
2655  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2656  case $ac_file in
2657  - | *:- | *:-:* ) # input from stdin
2658        cat >$tmp/stdin
2659        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2660        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2661  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2662        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2663  * )   ac_file_in=$ac_file.in ;;
2664  esac
2665
2666  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
2667  ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2668         X"$ac_file" : 'X\(//\)[^/]' \| \
2669         X"$ac_file" : 'X\(//\)$' \| \
2670         X"$ac_file" : 'X\(/\)' \| \
2671         .     : '\(.\)' 2>/dev/null ||
2672echo X"$ac_file" |
2673    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2674  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2675  	  /^X\(\/\/\)$/{ s//\1/; q; }
2676  	  /^X\(\/\).*/{ s//\1/; q; }
2677  	  s/.*/./; q'`
2678  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2679    { case "$ac_dir" in
2680  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
2681  *)                      as_incr_dir=.;;
2682esac
2683as_dummy="$ac_dir"
2684for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
2685  case $as_mkdir_dir in
2686    # Skip DOS drivespec
2687    ?:) as_incr_dir=$as_mkdir_dir ;;
2688    *)
2689      as_incr_dir=$as_incr_dir/$as_mkdir_dir
2690      test -d "$as_incr_dir" || mkdir "$as_incr_dir"
2691    ;;
2692  esac
2693done; }
2694
2695    ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
2696    # A "../" for each directory in $ac_dir_suffix.
2697    ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
2698  else
2699    ac_dir_suffix= ac_dots=
2700  fi
2701
2702  case $srcdir in
2703  .)  ac_srcdir=.
2704      if test -z "$ac_dots"; then
2705         ac_top_srcdir=.
2706      else
2707         ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
2708      fi ;;
2709  [\\/]* | ?:[\\/]* )
2710      ac_srcdir=$srcdir$ac_dir_suffix;
2711      ac_top_srcdir=$srcdir ;;
2712  *) # Relative path.
2713    ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
2714    ac_top_srcdir=$ac_dots$srcdir ;;
2715  esac
2716
2717  if test x"$ac_file" != x-; then
2718    { echo "$as_me:2718: creating $ac_file" >&5
2719echo "$as_me: creating $ac_file" >&6;}
2720    rm -f "$ac_file"
2721  fi
2722  # Let's still pretend it is `configure' which instantiates (i.e., don't
2723  # use $as_me), people would be surprised to read:
2724  #    /* config.h.  Generated automatically by config.status.  */
2725  configure_input="Generated automatically from `echo $ac_file_in |
2726                                                 sed 's,.*/,,'` by configure."
2727
2728  # First look for the input files in the build tree, otherwise in the
2729  # src tree.
2730  ac_file_inputs=`IFS=:
2731    for f in $ac_file_in; do
2732      case $f in
2733      -) echo $tmp/stdin ;;
2734      [\\/$]*)
2735         # Absolute (can't be DOS-style, as IFS=:)
2736         test -f "$f" || { { echo "$as_me:2736: error: cannot find input file: $f" >&5
2737echo "$as_me: error: cannot find input file: $f" >&2;}
2738   { (exit 1); exit 1; }; }
2739         echo $f;;
2740      *) # Relative
2741         if test -f "$f"; then
2742           # Build tree
2743           echo $f
2744         elif test -f "$srcdir/$f"; then
2745           # Source tree
2746           echo $srcdir/$f
2747         else
2748           # /dev/null tree
2749           { { echo "$as_me:2749: error: cannot find input file: $f" >&5
2750echo "$as_me: error: cannot find input file: $f" >&2;}
2751   { (exit 1); exit 1; }; }
2752         fi;;
2753      esac
2754    done` || { (exit 1); exit 1; }
2755EOF
2756cat >>$CONFIG_STATUS <<EOF
2757  sed "$ac_vpsub
2758$extrasub
2759EOF
2760cat >>$CONFIG_STATUS <<\EOF
2761:t
2762/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2763s,@configure_input@,$configure_input,;t t
2764s,@srcdir@,$ac_srcdir,;t t
2765s,@top_srcdir@,$ac_top_srcdir,;t t
2766" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2767  rm -f $tmp/stdin
2768  if test x"$ac_file" != x-; then
2769    mv $tmp/out $ac_file
2770  else
2771    cat $tmp/out
2772    rm -f $tmp/out
2773  fi
2774
2775done
2776EOF
2777
2778cat >>$CONFIG_STATUS <<\EOF
2779
2780{ (exit 0); exit 0; }
2781EOF
2782chmod +x $CONFIG_STATUS
2783ac_clean_files=$ac_clean_files_save
2784
2785# configure is writing to config.log, and then calls config.status.
2786# config.status does its own redirection, appending to config.log.
2787# Unfortunately, on DOS this fails, as config.log is still kept open
2788# by configure, so config.status won't be able to write to it; its
2789# output is simply discarded.  So we exec the FD to /dev/null,
2790# effectively closing config.log, so it can be properly (re)opened and
2791# appended to by config.status.  When coming back to configure, we
2792# need to make the FD available again.
2793if test "$no_create" != yes; then
2794  ac_cs_success=:
2795  exec 5>/dev/null
2796  $SHELL $CONFIG_STATUS || ac_cs_success=false
2797  exec 5>>config.log
2798  # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2799  # would make configure fail if this is the last instruction.
2800  $ac_cs_success || { (exit 1); exit 1; }
2801fi
2802
2803